## GimpAdaptiveSupersample

GimpAdaptiveSupersample — Functions to perform adaptive supersampling on an area.

## Functions

void | (*GimpProgressFunc) ()
void | (*GimpPutPixelFunc) ()
void | (*GimpRenderFunc) ()
gulong | gimp_adaptive_supersample_area ()

## Description

Functions to perform adaptive supersampling on an area.

## Functions

### GimpProgressFunc ()

    void
    (*GimpProgressFunc) (gint min,
                         gint max,
                         gint current,
                         gpointer data);

### GimpPutPixelFunc ()

    void
    (*GimpPutPixelFunc) (gint x,
                         gint y,
                         GimpRGB *color,
                         gpointer data);

### GimpRenderFunc ()

    void
    (*GimpRenderFunc) (gdouble x,
                       gdouble y,
                       GimpRGB *color,
                       gpointer data);

### gimp_adaptive_supersample_area ()

    gulong
    gimp_adaptive_supersample_area (gint x1,
                                    gint y1,
                                    gint x2,
                                    gint y2,
                                    gint max_depth,
                                    gdouble threshold,
                                    GimpRenderFunc render_func,
                                    gpointer render_data,
                                    GimpPutPixelFunc put_pixel_func,
                                    gpointer put_pixel_data,
                                    GimpProgressFunc progress_func,
                                    gpointer progress_data);

## Types and Values